<head>
  <title>Cheaterliste</title>
  <link href="style.css?v=<?php date("YmdHis");?>" rel="stylesheet" type="text/css">
</head>

  <body>
    <div class="bild">
      <img src="schriftv2.png">
    </div>

<?php
session_start();

$vac = "vac";
$host = "localhost";
$user = "vac";
$password = "hPUf8e4karnz61bS";

$conn = new mysqli($host,$user,$password,$vac);
if($conn->connect_error){
    die("Verbindung fehlgeschlagen: " . $conn->connect_error);
}
?>

<table  style="width:50%" class="center">
  <tr>
    <th style="padding: 0.5em 0.5em">Eintrag</th>
    <th class="profil">Steam-Profil</th>
    <th style="padding: 0.4em">Ersteller</th>
    <th style="padding: 0.4em" class="Zeit">Erstelldatum</th>
    <th style="padding: 0.4em">VAC-Ban</th>
  </tr>

<?php
$sql = "SELECT * FROM cheaterliste ORDER BY addtime DESC;";
$result = $conn->query($sql);
$number = 1;


while($row = $result->fetch_assoc()){
  if($row['deleted'])
    continue;
    $output = "<tr>
            <td>".$number."</td>
            <td class='profil'><a target ='_blank'href='".$row['url']."'>".$row['url']."</td>
            <td>".$row['author']."</td>
            <td>".$row['addtime']."</td>";
    if($row['banned'] == 0){
          $output .= "<td><img src='kreuz.png' height='20' width='20'</td>
          </tr>";
    }else{
      $output .= "<td><img src='haken.png' height='20' width='20'</td>
      </tr>";
    }
    echo $output;
    $number++;
  }
?>
</table><br>



<?php
if (!isset ($_SESSION['id'])){
  echo    '<div class="loginform">' .
            '<form action="/login.php" method="post">' .
              '<input type="text" placeholder="Username" name="user">' .
              '<input type="password" placeholder="Password" name="pw">' .
              '<input type="submit" value="Login">' .
            '</form>' .
          '</div>';
          if (isset ($_SESSION['status'])){
            echo $_SESSION['status'];
          }
     return;
}
?>

<?php
echo    '<div class="loginform">' .
          '<form action="/insert.php" method="post">' .
            '<input type="url" pattern="https?://.+" required placeholder="Link" name="url"><br>' .
            '<input type="submit" value="Hinzufügen">' .
          '</form>' .
        	'<form action="/logout.php" method="post">' .
				      '<input type="submit" value="Logout">' .
					'</form>' .
			 '</div>';
?>

</body>
